%define anolis_release 1

%global pypi_name ftfy
%global github_name python-%{pypi_name}

Name:           python-%{pypi_name}
Version:        6.1.1
Release:        %{anolis_release}%{?dist}
Summary:        Fixes mojibake and other glitches in Unicode text, after the fact

License:        MIT
URL:            https://github.com/rspeer/python-ftfy
Source:         %url/archive/v%{version}/%{github_name}-%{version}.tar.gz

BuildArch:      noarch
# BuildRequires:  poetry
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)

%global common_description %{expand:
ftfy fixes mojibake and other glitches in Unicode text, after the fact.}

%description %{common_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{common_description}

%prep
%autosetup -p1 -n %{github_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
rm -rfv %{buildroot}%{python3_sitelib}/*.md

%check
# Don't work in Mock
rm -rfv tests/test_cli.py
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{_bindir}/ftfy

%changelog
* Fri Feb 02 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 6.1.1-1
- Initial package.
